{
  "format_version": "1.16.100",
  "minecraft:block": {
    "description": {
      "identifier": "vatonage:cobblestone_leaves"
    },
    "components": {
      "minecraft:destroy_time": 0.10,
      "minecraft:explosion_resistance": 0,

      "minecraft:block_light_emission": 0,
         "minecraft:loot": "loot_tables/blocks/cobblestoneleaves.json",
        "minecraft:pick_collision": {
            "origin":  [-8.0, 0.0, -8.0],
            "size":   [16.0, 16.0, 16.0]
        },
         "minecraft:ticking":{
            "looping":true,
            "range":[
               20,
               60
            ],
            "on_tick":{
               "event":"vatonage:generate",
               "target":"self"
            }
         }
      },
      "events":{
         "vatonage:generate":{
            "run_command":{
               "command":"fill ~ ~ ~ ~ ~ ~ air 0 destroy"
            }
         }
      }
   }
}